Name: libmng
Version: 1.0.10
Release: alt1

Summary: A library for handling MNG files
License: Distributable (see LICENSE)
Group: System/Libraries
Url: http://www.libmng.com/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# http://downloads.sourceforge.net/libmng/libmng-%version.tar.bz2
Source: libmng-%version.tar
Patch1: libmng-1.0.10-alt-build-fixes.patch
Patch2: libmng-1.0.10-alt-player-build.patch

# Automatically added by buildreq on Tue Sep 23 2008
BuildRequires: gcc-c++ libSDL-devel libXt-devel libjpeg-devel liblcms-devel openmotif-devel xorg-printproto-devel xorg-xextproto-devel zlib-devel

%package devel
Summary: Include files for development with %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for development with %name
Group: Development/C
Requires: %name-devel = %version-%release

%package -n mng-utils
Summary: Various %name-based utilities
Group: Graphics
Requires: %name = %version-%release

%description
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

%description devel
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains include files required for development %name-based
applications.

%description devel-static
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains static libraries required for development statically
linked %name-based applications.

%description -n mng-utils
The MNG library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains various %name-based utilities.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
ln -s makefiles/{acinclude.m4,Makefile.am,configure.in} .
autoreconf -fisv
%define _configure_script ../configure
mkdir -p build-std build-mini

pushd build-std
	%configure --with-lcms=yes
	%make_build
popd #build-std

pushd build-mini
	%configure  --without-zlib --without-lcms --without-jpeg
	%make_build CPPFLAGS="-DNDEBUG -DMNG_NO_INCLUDE_JNG"
popd #build-mini

%make_build -C contrib/gcc/xmngview \
	X11LIBDIR="-L%_x11libdir" \
	CFLAGS="$RPM_OPT_FLAGS -I../../.." MNGLIB="-L../../../build-std/.libs -lmng"

pushd contrib/gcc/sdl-mngplay
	sh ./autogen.sh
	mkdir -p build-std
	pushd build-std
		export CPPFLAGS=-I../../../..
		export LIBS=-L../../../../build-std/.libs
		%configure
		%make_build mngplay
	popd #build-std
popd #contrib/gcc/sdl-mngplay

%install
mkdir -p %buildroot%_mandir/man{3,5}
%makeinstall -C build-std
install -pm755 build-mini/.libs/libmng.a %buildroot%_libdir/libmng-mini.a
install -pD -m755 contrib/gcc/xmngview/xmngview %buildroot%_bindir/mngview
install -pD -m755 contrib/gcc/sdl-mngplay/build-std/mngplay %buildroot%_bindir/mngplay

pushd doc/man
	install -pm644 *.3 %buildroot%_man3dir/
	install -pm644 *.5 %buildroot%_man5dir/
popd

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_man5dir/*
%doc CHANGES LICENSE README README.contrib README.examples
%doc doc/*.* contrib/gcc/gtk-mng-view/*.mng

%files devel
%_libdir/*.so
%_includedir/*
%_mandir/man3/*

%files devel-static
%_libdir/*.a

%files -n mng-utils
%_bindir/*

%changelog
* Wed Sep 24 2008 Dmitry V. Levin <ldv@altlinux.org> 1.0.10-alt1
- Updated to 1.0.10.
- Fixed build.

* Tue May 24 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.9-alt1
- Updated to 1.0.9.
- Updated patches.
- Fixed multilib support (mouse).

* Mon Mar 21 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.8-alt3
- Reimplemented previous change.

* Thu Mar 17 2005 Anton Farygin <rider@altlinux.ru> 1.0.8-alt2
- build libmng-mini.a for bootsplash (SuSE).

* Tue Oct 05 2004 Stanislav Ievlev <inger@altlinux.org> 1.0.8-alt1
- 1.0.8

* Wed Dec 17 2003 Stanislav Ievlev <inger@altlinux.org> 1.0.6-alt1
- 1.0.6

* Wed Oct 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.4-alt3
- rebuild with new XFree86

* Mon Sep 09 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.4-alt2
- rebuild with gcc3

* Tue Jul 02 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.4-alt1
- 1.0.4.

* Fri Feb 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.3-alt2
- Fixed build on kernel headers which define "linux" macro.

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0.3-alt1
- 1.0.3.

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.2-alt1
- 1.0.2.

* Mon Apr 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.0-ipl2mdk
- Moved static libraries to devel-static subpackage.
- Rebuilt with libSDL-1.2.0.

* Sun Feb 11 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.0-ipl1mdk
- 1.0.0

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.4-ipl1mdk
- 0.9.4
- Build with lcms support.
- Build mng utilities.

* Wed Dec 20 2000 AEN <aen@logic.ru>
- back to old lib name
- adopted for RE

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-2mdk
- Make compliant to new LMDK lib policy

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-1mdk
- First package for Linux-Mandrake distribution
